# ContractResourcesApi

## ContractResourcesApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                               | HTTP request       | Description              |
| ------------------------------------ | ------------------ | ------------------------ |
| [**contracts\_get**](#contracts_get) | **GET** /contracts | Get Contract Information |

## **contracts\_get**

> Contracts contracts\_get(pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get Contract Information

Retrieves the properties of the user's contract. This operation allows you to obtain the resource limits and the general contract information.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ContractResourcesApi(api_client)
    try:
        # Get Contract Information
        api_response = api_instance.contracts_get()
        print(api_response)
    except ApiException as e:
        print('Exception when calling ContractResourcesApi.contracts_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Contracts**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/contracts)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json
